This commit is contained in:
Gerben Jan Dijkman 2024-10-06 16:47:56 +02:00
parent 86cf971adf
commit 662d5a34a3
12 changed files with 17 additions and 720 deletions

View File

@ -1,2 +0,0 @@
DIST firefox-128.3.0esr.source.tar.xz 560960556 BLAKE2B 015fefb408dcea5733053151aff05579b007ab757542a47956e007dc127b460f4a35e885a2ee4ef4dbb936820c8ea3907b00383f659b15a84e701590b50a5d72 SHA512 3c6ef272c0fb653d030fe3f7f72aa0e1097b1c6759556166815cde15465330f988b3bc23df4b4eb753daee930edbb1ef72145273cb29d0952bd9d7c547050f9b
DIST firefox-128esr-patches-03.tar.xz 14156 BLAKE2B 9a618f0ddb8596b740893dc9113f374d193a00e4e8e76dbb2794928ceaafc7b5309cb6f69f6287ae1e423f0be0a060580b0d9d59307c9889362dd17fb7d31d3d SHA512 c6ec7233b368fac623ec0cce6f5c37d358a0fa5bb2154dc67eebb50968376ca9d46f3a734f5d79a4aa4edde9e300a9c65315d0e499aa6a1325b6c76a6c164258

View File

@ -1,503 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
# Patch version
FIREFOX_PATCHSET="firefox-128esr-patches-03.tar.xz"
#SPIDERMONKEY_PATCHSET="spidermonkey-115-patches-02.tar.xz"
LLVM_MAX_SLOT=18
PYTHON_COMPAT=( python3_{10..12} )
PYTHON_REQ_USE="ncurses,ssl,xml(+)"
WANT_AUTOCONF="2.1"
inherit autotools check-reqs flag-o-matic llvm multiprocessing prefix python-any-r1 toolchain-funcs
MY_PN="mozjs"
MY_PV="${PV/_pre*}" # Handle Gentoo pre-releases
MY_MAJOR=$(ver_cut 1)
MOZ_ESR=yes
MOZ_PV=${PV}
MOZ_PV_SUFFIX=
if [[ ${PV} =~ (_(alpha|beta|rc).*)$ ]] ; then
MOZ_PV_SUFFIX=${BASH_REMATCH[1]}
# Convert the ebuild version to the upstream Mozilla version
MOZ_PV="${MOZ_PV/_alpha/a}" # Handle alpha for SRC_URI
MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
MOZ_PV="${MOZ_PV%%_rc*}" # Handle rc for SRC_URI
fi
if [[ -n ${MOZ_ESR} ]] ; then
# ESR releases have slightly different version numbers
MOZ_PV="${MOZ_PV}esr"
fi
MOZ_PN="firefox"
MOZ_P="${MOZ_PN}-${MOZ_PV}"
MOZ_PV_DISTFILES="${MOZ_PV}${MOZ_PV_SUFFIX}"
MOZ_P_DISTFILES="${MOZ_PN}-${MOZ_PV_DISTFILES}"
MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/releases/${MOZ_PV}"
if [[ ${PV} == *_rc* ]] ; then
MOZ_SRC_BASE_URI="https://archive.mozilla.org/pub/${MOZ_PN}/candidates/${MOZ_PV}-candidates/build${PV##*_rc}"
fi
PATCH_URIS=(
https://dev.gentoo.org/~juippis/mozilla/patchsets/${FIREFOX_PATCHSET}
)
SRC_URI="${MOZ_SRC_BASE_URI}/source/${MOZ_P}.source.tar.xz -> ${MOZ_P_DISTFILES}.source.tar.xz
${PATCH_URIS[@]}"
DESCRIPTION="SpiderMonkey is Mozilla's JavaScript engine written in C and C++"
HOMEPAGE="https://spidermonkey.dev https://firefox-source-docs.mozilla.org/js/index.html "
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
SLOT="$(ver_cut 1)"
LICENSE="MPL-2.0"
IUSE="clang cpu_flags_arm_neon debug +jit lto test"
#RESTRICT="test"
RESTRICT="!test? ( test )"
BDEPEND="${PYTHON_DEPS}
virtual/pkgconfig
|| (
(
sys-devel/llvm:18
clang? (
sys-devel/lld:18
sys-devel/clang:18
virtual/rust:0/llvm-18
)
)
(
sys-devel/llvm:17
clang? (
sys-devel/lld:17
sys-devel/clang:17
virtual/rust:0/llvm-17
)
)
(
sys-devel/llvm:16
clang? (
sys-devel/lld:16
sys-devel/clang:16
virtual/rust:0/llvm-16
)
)
(
sys-devel/llvm:15
clang? (
sys-devel/lld:15
sys-devel/clang:15
virtual/rust:0/llvm-15
)
)
)
!clang? ( virtual/rust )
!elibc_glibc? (
|| (
dev-lang/rust
<dev-lang/rust-bin-1.73
)
)
test? (
$(python_gen_any_dep 'dev-python/six[${PYTHON_USEDEP}]')
)"
DEPEND=">=dev-libs/icu-73.1:=
dev-libs/nspr
sys-libs/readline:0=
sys-libs/zlib"
RDEPEND="${DEPEND}"
S="${WORKDIR}/firefox-${MY_PV}/js/src"
llvm_check_deps() {
if ! has_version -b "sys-devel/llvm:${LLVM_SLOT}" ; then
einfo "sys-devel/llvm:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use clang ; then
if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
einfo "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if ! has_version -b "virtual/rust:0/llvm-${LLVM_SLOT}" ; then
einfo "virtual/rust:0/llvm-${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if ! tc-ld-is-mold ; then
if ! has_version -b "sys-devel/lld:${LLVM_SLOT}" ; then
einfo "sys-devel/lld:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
fi
fi
einfo "Using LLVM slot ${LLVM_SLOT} to build" >&2
}
python_check_deps() {
if use test ; then
python_has_version "dev-python/six[${PYTHON_USEDEP}]"
fi
}
# This is a straight copypaste from toolchain-funcs.eclass's 'tc-ld-is-lld', and is temporarily
# placed here until toolchain-funcs.eclass gets an official support for mold linker.
# Please see:
# https://github.com/gentoo/gentoo/pull/28366 ||
# https://github.com/gentoo/gentoo/pull/28355
tc-ld-is-mold() {
local out
# Ensure ld output is in English.
local -x LC_ALL=C
# First check the linker directly.
out=$($(tc-getLD "$@") --version 2>&1)
if [[ ${out} == *"mold"* ]] ; then
return 0
fi
# Then see if they're selecting mold via compiler flags.
# Note: We're assuming they're using LDFLAGS to hold the
# options and not CFLAGS/CXXFLAGS.
local base="${T}/test-tc-linker"
cat <<-EOF > "${base}.c"
int main() { return 0; }
EOF
out=$($(tc-getCC "$@") ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -Wl,--version "${base}.c" -o "${base}" 2>&1)
rm -f "${base}"*
if [[ ${out} == *"mold"* ]] ; then
return 0
fi
# No mold here!
return 1
}
pkg_pretend() {
if use test ; then
CHECKREQS_DISK_BUILD="4000M"
else
CHECKREQS_DISK_BUILD="3600M"
fi
check-reqs_pkg_pretend
}
pkg_setup() {
if [[ ${MERGE_TYPE} != binary ]] ; then
if use test ; then
CHECKREQS_DISK_BUILD="4000M"
else
CHECKREQS_DISK_BUILD="3600M"
fi
check-reqs_pkg_setup
llvm_pkg_setup
if use clang && use lto && tc-ld-is-lld ; then
local version_lld=$(ld.lld --version 2>/dev/null | awk '{ print $2 }')
[[ -n ${version_lld} ]] && version_lld=$(ver_cut 1 "${version_lld}")
[[ -z ${version_lld} ]] && die "Failed to read ld.lld version!"
local version_llvm_rust=$(rustc -Vv 2>/dev/null | grep -F -- 'LLVM version:' | awk '{ print $3 }')
[[ -n ${version_llvm_rust} ]] && version_llvm_rust=$(ver_cut 1 "${version_llvm_rust}")
[[ -z ${version_llvm_rust} ]] && die "Failed to read used LLVM version from rustc!"
if ver_test "${version_lld}" -ne "${version_llvm_rust}" ; then
eerror "Rust is using LLVM version ${version_llvm_rust} but ld.lld version belongs to LLVM version ${version_lld}."
eerror "You will be unable to link ${CATEGORY}/${PN}. To proceed you have the following options:"
eerror " - Manually switch rust version using 'eselect rust' to match used LLVM version"
eerror " - Switch to dev-lang/rust[system-llvm] which will guarantee matching version"
eerror " - Build ${CATEGORY}/${PN} without USE=lto"
eerror " - Rebuild lld with llvm that was used to build rust (may need to rebuild the whole "
eerror " llvm/clang/lld/rust chain depending on your @world updates)"
die "LLVM version used by Rust (${version_llvm_rust}) does not match with ld.lld version (${version_lld})!"
fi
fi
python-any-r1_pkg_setup
# Build system is using /proc/self/oom_score_adj, bug #604394
addpredict /proc/self/oom_score_adj
if ! mountpoint -q /dev/shm ; then
# If /dev/shm is not available, configure is known to fail with
# a traceback report referencing /usr/lib/pythonN.N/multiprocessing/synchronize.py
ewarn "/dev/shm is not mounted -- expect build failures!"
fi
# Ensure we use C locale when building, bug #746215
export LC_ALL=C
fi
}
src_prepare() {
pushd ../.. &>/dev/null || die
use lto && rm -v "${WORKDIR}"/firefox-patches/*-LTO-Only-enable-LTO-*.patch
# Workaround for bgo #915651,915651,929013 on musl
if use elibc_glibc ; then
rm -v "${WORKDIR}"/firefox-patches/*bgo-748849-RUST_TARGET_override.patch || die
fi
eapply "${WORKDIR}"/firefox-patches
default
# Make cargo respect MAKEOPTS
export CARGO_BUILD_JOBS="$(makeopts_jobs)"
# Workaround for bgo #915651,915651,929013 on musl
if ! use elibc_glibc ; then
if use amd64 ; then
export RUST_TARGET="x86_64-unknown-linux-musl"
elif use x86 ; then
export RUST_TARGET="i686-unknown-linux-musl"
else
die "Unknown musl chost, please post your rustc -vV along with emerge --info on Gentoo's bug #915651"
fi
fi
# sed-in toolchain prefix
sed -i \
-e "s/objdump/${CHOST}-objdump/" \
python/mozbuild/mozbuild/configure/check_debug_ranges.py \
|| die "sed failed to set toolchain prefix"
# use prefix shell in wrapper linker scripts, bug #789660
hprefixify "${S}"/../../build/cargo-{,host-}linker
einfo "Removing pre-built binaries ..."
find third_party -type f \( -name '*.so' -o -name '*.o' \) -print -delete || die
MOZJS_BUILDDIR="${WORKDIR}/build"
mkdir "${MOZJS_BUILDDIR}" || die
popd &>/dev/null || die
}
src_configure() {
# Show flags set at the beginning
einfo "Current CFLAGS: ${CFLAGS}"
einfo "Current CXXFLAGS: ${CXXFLAGS}"
einfo "Current LDFLAGS: ${LDFLAGS}"
einfo "Current RUSTFLAGS: ${RUSTFLAGS}"
local have_switched_compiler=
if use clang; then
# Force clang
einfo "Enforcing the use of clang due to USE=clang ..."
local version_clang=$(clang --version 2>/dev/null | grep -F -- 'clang version' | awk '{ print $3 }')
[[ -n ${version_clang} ]] && version_clang=$(ver_cut 1 "${version_clang}")
[[ -z ${version_clang} ]] && die "Failed to read clang version!"
if tc-is-gcc; then
have_switched_compiler=yes
fi
AR=llvm-ar
CC=${CHOST}-clang-${version_clang}
CXX=${CHOST}-clang++-${version_clang}
NM=llvm-nm
RANLIB=llvm-ranlib
elif ! use clang && ! tc-is-gcc ; then
# Force gcc
have_switched_compiler=yes
einfo "Enforcing the use of gcc due to USE=-clang ..."
AR=gcc-ar
CC=${CHOST}-gcc
CXX=${CHOST}-g++
NM=gcc-nm
RANLIB=gcc-ranlib
fi
if [[ -n "${have_switched_compiler}" ]] ; then
# Because we switched active compiler we have to ensure
# that no unsupported flags are set
strip-unsupported-flags
fi
# Ensure we use correct toolchain,
# AS is used in a non-standard way by upstream, #bmo1654031
export HOST_CC="$(tc-getBUILD_CC)"
export HOST_CXX="$(tc-getBUILD_CXX)"
export AS="$(tc-getCC) -c"
tc-export CC CXX LD AR AS NM OBJDUMP RANLIB PKG_CONFIG
cd "${MOZJS_BUILDDIR}" || die
# ../python/mach/mach/mixin/process.py fails to detect SHELL
export SHELL="${EPREFIX}/bin/bash"
local -a myeconfargs=(
--host="${CBUILD:-${CHOST}}"
--target="${CHOST}"
--disable-ctype
--disable-jemalloc
--disable-smoosh
--disable-strip
--enable-project=js
--enable-readline
--enable-release
--enable-shared-js
--with-intl-api
--with-system-icu
--with-system-nspr
--with-system-zlib
--with-toolchain-prefix="${CHOST}-"
$(use_enable debug)
$(use_enable jit)
$(use_enable test tests)
)
if use debug; then
myeconfargs+=( --disable-optimize )
myeconfargs+=( --enable-debug-symbols )
myeconfargs+=( --enable-real-time-tracing )
else
myeconfargs+=( --enable-optimize )
myeconfargs+=( --disable-debug-symbols )
myeconfargs+=( --disable-real-time-tracing )
fi
# We always end up disabling this at some point due to newer rust versions. bgo#933372
myeconfargs+=( --disable-rust-simd )
# Modifications to better support ARM, bug 717344
if use cpu_flags_arm_neon ; then
myeconfargs+=( --with-fpu=neon )
if ! tc-is-clang ; then
# thumb options aren't supported when using clang, bug 666966
myeconfargs+=( --with-thumb=yes )
myeconfargs+=( --with-thumb-interwork=no )
fi
fi
# Tell build system that we want to use LTO
if use lto ; then
if use clang ; then
if tc-ld-is-mold ; then
myeconfargs+=( --enable-linker=mold )
else
myeconfargs+=( --enable-linker=lld )
fi
myeconfargs+=( --enable-lto=cross )
else
myeconfargs+=( --enable-linker=bfd )
myeconfargs+=( --enable-lto=full )
fi
fi
# LTO flag was handled via configure
filter-lto
# Use system's Python environment
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE="none"
export PIP_NETWORK_INSTALL_RESTRICTED_VIRTUALENVS=mach
# Show flags we will use
einfo "Build CFLAGS: ${CFLAGS}"
einfo "Build CXXFLAGS: ${CXXFLAGS}"
einfo "Build LDFLAGS: ${LDFLAGS}"
einfo "Build RUSTFLAGS: ${RUSTFLAGS}"
# Forcing system-icu allows us to skip patching bundled ICU for PPC
# and other minor arches
ECONF_SOURCE="${S}" \
econf \
${myeconfargs[@]} \
XARGS="${EPREFIX}/usr/bin/xargs"
}
src_compile() {
cd "${MOZJS_BUILDDIR}" || die
default
}
src_test() {
if "${MOZJS_BUILDDIR}/js/src/js" -e 'print("Hello world!")'; then
einfo "Smoke-test successful, continuing with full test suite"
else
die "Smoke-test failed: did interpreter initialization fail?"
fi
cp "${FILESDIR}"/spidermonkey-${SLOT}-known-test-failures.txt "${T}"/known_failures.list || die
if use sparc ; then
echo "non262/Array/regress-157652.js" >> "${T}"/known_failures.list
echo "non262/regress/regress-422348.js" >> "${T}"/known_failures.list
echo "test262/built-ins/TypedArray/prototype/set/typedarray-arg-set-values-same-buffer-other-type.js" >> "${T}"/known_failures.list
fi
if use x86 ; then
echo "non262/Date/timeclip.js" >> "${T}"/known_failures.list
echo "test262/built-ins/Date/UTC/fp-evaluation-order.js" >> "${T}"/known_failures.list
echo "test262/language/types/number/S8.5_A2.1.js" >> "${T}"/known_failures.list
echo "test262/language/types/number/S8.5_A2.2.js" >> "${T}"/known_failures.list
fi
${EPYTHON} \
"${S}"/tests/jstests.py -d -s -t 1800 --wpt=disabled --no-progress \
--exclude-file="${T}"/known_failures.list \
"${MOZJS_BUILDDIR}"/js/src/js \
|| die
if use jit ; then
${EPYTHON} \
"${S}"/tests/jstests.py -d -s -t 1800 --wpt=disabled --no-progress \
--exclude-file="${T}"/known_failures.list \
"${MOZJS_BUILDDIR}"/js/src/js basic \
|| die
fi
}
src_install() {
cd "${MOZJS_BUILDDIR}" || die
default
# fix soname links
pushd "${ED}"/usr/$(get_libdir) &>/dev/null || die
mv lib${MY_PN}-${MY_MAJOR}.so lib${MY_PN}-${MY_MAJOR}.so.0.0.0 || die
ln -s lib${MY_PN}-${MY_MAJOR}.so.0.0.0 lib${MY_PN}-${MY_MAJOR}.so.0 || die
ln -s lib${MY_PN}-${MY_MAJOR}.so.0 lib${MY_PN}-${MY_MAJOR}.so || die
popd &>/dev/null || die
# remove unneeded files
rm \
"${ED}"/usr/bin/js${MY_MAJOR}-config \
"${ED}"/usr/$(get_libdir)/libjs_static.ajs \
|| die
# fix permissions
chmod -x \
"${ED}"/usr/$(get_libdir)/pkgconfig/*.pc \
"${ED}"/usr/include/mozjs-${MY_MAJOR}/js-config.h \
|| die
}

View File

@ -0,0 +1,17 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit meson
MY_PV="v${PV}"
MY_P="${PN}-${MY_PV}"
DESCRIPTION="A daemon to provide haptic feedback on events (themes package)"
HOMEPAGE="https://source.puri.sm/Librem5/feedbackd-device-themes"
SRC_URI="https://source.puri.sm/Librem5/${PN}/-/archive/${MY_PV}/${MY_P}.tar.bz2"
S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-3"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
SLOT="0"

View File

@ -1,4 +0,0 @@
DIST libaxc-0.3.4.tar.gz 40198 BLAKE2B 78fc122eefbc5c6173bdad5cf31734cf95b750c09bddede5b2656a88bede3d6c25fb22af5447681c58eb1f296ee326480e22aacb843d951f1bd7a6933155432a SHA512 7b6b5466ee89d78d3c3a2e7cf961dfb3310bff01947e69e906c83ff97e89d1bdc0e2e92f7bd0d4b48a97af91409f435a4fd869229af5b67b2f66ba464bbfd7b8
DIST libaxc-0.3.5.tar.gz 40418 BLAKE2B bcafe30c295fb6c5bd075cc7ecb9b81dcb094301a65d51ec7bcff82159c4fecdc6a4a64530e81c429803c8e267c3d6f6ccede8b5fda7d920af1c10c3806d66f0 SHA512 7708c136dfd57cc799ac467bea010ddbdcfe78a4cdae3c5882f97de7674e38e5f183f94fd42dd2df74dfec451f1822ef43122321aca46c042d5355b74e128694
DIST libaxc-0.3.6.tar.gz 40488 BLAKE2B e59d73e0011b11c0e594297d15353f0e7c378c5ce29c2f747f0a10f7ac302abbe8a0e6f3cad37a652a5a4763d15f393e2cbd7272c4249883c0c99640d18ab518 SHA512 0e02282e42597eaf641fcd620c103c4892b26120f9aec442ce61b99e2a5042d62213bed7786aede296e1024fea26ef9a21950d96a9a520ca6a5d5c524620f42d
DIST libaxc-0.3.7.tar.gz 41742 BLAKE2B e43220745cbf1e3f375c69218cc0c5bc944e2fbfd1ca2a79be38d8cac9206609f757b8afbf5d5a1411ad29cddbb8edf9cf67b570fe152d91e77e070ddbf4666f SHA512 e9982a54307ebc4fbecdd6482e0ccc9b1d5539047f455f66a4f25c067e2da8eba782163ccf0ad8aac8b11867da5d7efb309c403cdfed464e6865d3e03e09ea11

View File

@ -1,25 +0,0 @@
From b9a79499a8638fb58394088af1b3e419c52f0562 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sun, 21 Feb 2021 20:16:34 +0100
Subject: [PATCH] Add missing symlinks libaxc.so.$(VER_MAJ) and libaxc.so
---
Makefile | 2 ++
1 file changed, 2 insertions(+)
diff --git a/Makefile b/Makefile
index b79a3f8..b882cbb 100644
--- a/Makefile
+++ b/Makefile
@@ -125,6 +125,8 @@ install: $(BDIR)
install -d $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/pkgconfig/
install -m 644 $(BDIR)/libaxc.a $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/libaxc.a
install -m 644 $(BDIR)/libaxc.so $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/libaxc.so.$(VERSION)
+ ln -s libaxc.so.$(VERSION) $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/libaxc.so.$(VER_MAJ)
+ ln -s libaxc.so.$(VERSION) $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/libaxc.so
install -m 644 $(BDIR)/libaxc.pc $(DESTDIR)/$(PREFIX)/lib/$(ARCH)/pkgconfig/
install -d $(DESTDIR)/$(PREFIX)/include/axc/
install -m 644 $(SDIR)/axc.h $(DESTDIR)/$(PREFIX)/include/axc/
--
2.30.1

View File

@ -1,75 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
MY_P="axc-${PV}"
DESCRIPTION="Client library for libsignal-protocol-c"
HOMEPAGE="https://github.com/gkdr/axc"
SRC_URI="https://github.com/gkdr/axc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3" # not GPL-3+
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="static-libs test"
RDEPEND="
dev-db/sqlite
dev-libs/glib
dev-libs/libgcrypt
net-libs/libsignal-protocol-c
"
DEPEND="
${RDEPEND}
test? ( dev-util/cmocka )
"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}"/${MY_P}
RESTRICT="!test? ( test )"
DOCS=( CHANGELOG.md README.md )
src_prepare() {
rm -R lib || die # unbundle libsignal-protocol-c
default
}
src_compile() {
local make_args=(
PREFIX=/usr
AR="$(tc-getAR)"
CC="$(tc-getCC)"
PKG_CONFIG="$(tc-getPKG_CONFIG)"
ARCH=
)
emake "${make_args[@]}"
}
src_test() {
# TODO: Test failures seem to be ignored in the upstream Makefile?
# e.g. https://github.com/gkdr/axc/blob/master/Makefile#L153
emake CC="$(tc-getCC)" test
}
src_install() {
emake DESTDIR="${D}" PREFIX=/usr ARCH= install
# Respect libdir other than /usr/lib, e.g. /usr/lib64
local libdir="$(get_libdir)"
if [[ ${libdir} != lib ]]; then
mv "${ED}"/usr/{lib,${libdir}} || die
sed "s|^libdir=.*|libdir=\${prefix}/${libdir}|" \
-i "${ED}/usr/${libdir}/pkgconfig/libaxc.pc" || die
fi
einstalldocs
if ! use static-libs ; then
rm "${ED}/usr/${libdir}/libaxc.a" || die
fi
}

View File

@ -1 +0,0 @@
DIST libomemo-0.8.1.tar.gz 28648 BLAKE2B b75ad298946dff680705ba0927293ea30cb8bf616a417c6584cef9f84e0894c5581462782a4b1003bf9e530695eea10bba9f37ae94e957a0008a35c862f17f62 SHA512 452c7ff9eb809de37df24bd0857c30c1e1ed1d4638c8338bb101f6d5a31be700f174f4fe65fb8ccd5358a674f8397a0eb54d8e03abfdce57cea60bcd4959f40a

View File

@ -1,38 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake
DESCRIPTION="Implementation of OMEMO (XEP-0384) in C"
HOMEPAGE="https://github.com/gkdr/libomemo"
SRC_URI="https://github.com/gkdr/libomemo/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm ~arm64"
IUSE="test"
RDEPEND="
dev-db/sqlite
dev-libs/glib
dev-libs/libgcrypt
dev-libs/mxml:0
"
DEPEND="
${RDEPEND}
virtual/pkgconfig
test? ( dev-util/cmocka )
"
RESTRICT="!test? ( test )"
DOCS=( CHANGELOG.md README.md )
src_configure() {
local mycmakeargs=(
-DOMEMO_WITH_TESTS=$(usex test)
)
cmake_src_configure
}

View File

@ -1,11 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>sping@gentoo.org</email>
<name>Sebastian Pipping</name>
</maintainer>
<upstream>
<remote-id type="github">gkdr/libomemo</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1 +0,0 @@
DIST lurch-0.7.0.tar.gz 66885 BLAKE2B 1a3cc1dbfd8f999b677b23d02952a3c28c922d438cfe81a3bfd3a03cc49723fcc4d52a549bfc7ecb45616a0c939b0f78a39f73a4439bc5337d4da656e9d42b11 SHA512 082f85d25fbcb184b7b6d827e1e6bac073ad46064a144ca24245164558ca9e0cdfcdc4187ac3da5f8738e0476e759e67801d0fd24598b31e2d86053f8af576b6

View File

@ -1,52 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="OMEMO encryption for libpurple (XEP-0384)"
HOMEPAGE="https://github.com/gkdr/lurch"
SRC_URI="https://github.com/gkdr/lurch/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3" # likely not GPL-3+, https://github.com/gkdr/lurch/issues/165
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm ~arm64"
IUSE="test"
# NOTE: Some of these dependencies seem like leftovers in the build system
# and can probably be dropped with lurch >=0.7.1
# (https://github.com/gkdr/lurch/issues/164)
RDEPEND="
dev-db/sqlite
dev-libs/glib
dev-libs/libgcrypt:=
dev-libs/libxml2
dev-libs/mxml:0
net-im/pidgin:=
net-libs/libaxc
net-libs/libomemo
>=net-libs/libsignal-protocol-c-2.3.2
"
DEPEND="
${RDEPEND}
virtual/pkgconfig
test? ( dev-util/cmocka )
"
RESTRICT="!test? ( test )"
src_prepare() {
rm -Rv lib/{axc,libomemo} || die # unbundle
default
}
src_compile() {
local makeargs=(
CC="$(tc-getCC)"
LIBGCRYPT_CONFIG="$(tc-getPROG LIBGCRYPT_CONFIG libgcrypt-config)"
PKG_CONFIG="$(tc-getPKG_CONFIG)"
XML2_CONFIG="$(tc-getPROG XML2_CONFIG xml2-config)"
)
emake "${makeargs[@]}"
}

View File

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>sping@gentoo.org</email>
<name>Sebastian Pipping</name>
</maintainer>
</pkgmetadata>